
Foniatr - Bug #279
neuložene vysledky testu RL_parezy_VF&MWSpeed
04 February 2016 15:22 - Marek Frič

Status: Resolved Start date: 04 February 2016
Priority: High Due date: 15 February 2016
Assignee: Tomáš Kulhánek % Done: 100%
Category: HTML5 client Estimated time: 2.00 hours
Target version: Psychotest2 Spent time: 2.00 hours
Description

Již dvakrat jsem udelal test RL_parezy_VF&MWSpeed (jednou pro 68 stimulu),ale neulozili se, resp. je nevidno v HRUBE
VYSLEDKY.

Zkusil jsme PAUSE, zda se ze funguje, vrati me to jak v prihlasene tak v neprihlasene podobe na konkretni misto pause.

Abych zkusil ulozeni stimulu znova snizil pocet stim na 11 a udelal znova test - vysledek stejny - zadne vysledky v HRUBE
VYSLEDKY!

STratily se, nebo jsou ulozeny jemom u me?

Chtel bych test sirit dal, ale nevim jestli je zle napsany, nebo nefunguje neco jine v state danskem?

History
#1 - 04 February 2016 16:09 - Tomáš Kulhánek
- Category set to HTML5 client
- Assignee changed from Marek Frič to Tomáš Kulhánek
- % Done changed from 0 to 20
- Estimated time set to 2.00

V logach na serveru je videt vysledek z 14:51.
"Id": 603,
    "user": "marekfric",
    "name": "RL_parezy_VF&MWSpeed",
    "resultItems": [
      "{case:,question:email:,answer:mf zkraceny 1,date:2016-02-04T14:51:43.922Z}",
      "{case:VKG_ParT1/VKG-065.jpg ,question:Image quality,answer:2.5,date:2016-02-04T14:51:58.198Z}",

Pak z 13:35
"Id": 602,
    "user": "marekfric",
    "name": "RL_parezy_VF&MWSpeed",
    "resultItems": [
      "{case:,question:email:,answer:mf1,date:2016-02-04T13:35:05.699Z}",
      "{case:VKG_ParT1/VKG-056.jpg ,question:Image quality,answer:3,date:2016-02-04T13:35:32.416Z}",

Kontrolou na strane klienta pri pokusu o ziskani vysledku dojde k chybe kvuli znaku "&" v nazvu. 
1) Jako docasne rychle reseni navrhuju prejmenovat test tak, aby znak "&" neobsahoval. 
2) Jako trvale reseni staci vkodu HTML klienta escapovat specialni znaky - zatim neudelano, zabere asi 30-60 minut.
#2 - 04 February 2016 18:47 - Tomáš Kulhánek
- Status changed from New to Resolved
- % Done changed from 20 to 100

Opraveno. V web.config povolen znak &. Ostatni znaky majici specialni vyznam v html %,*,/,? jsou zakazane v nazvech - budou zpusobovat chybu pri
vyhledani vysledku, i kdyz se vysledky ulozi.
